#pragma once
#include <stdexcept>
#include <Windows.h>

namespace pk
{
	enum GameGfx
	{
		GAMEGFX_NONE = 0x0000,
		GAMEGFX_3DFX = 0x0100,
		GAMEGFX_ATI = 0x0200,
		GAMEGFX_D3D = 0x0300,
		GAMEGFX_D3D5 = 0x0400,
		GAMEGFX_PVR = 0x0500,
		GAMEGFX_S3 = 0x0600
	};

	enum GameSfx
	{
		GAMESFX_NONE = 0,
		GAMESFX_MMX = 1,
		GAMESFX_MS = 2
	};

	enum GameID
	{
		GAMEID_NONE,
		
		GAMEID_2281          = 0x22810000  | GAMEGFX_NONE | GAMESFX_NONE,
		GAMEID_2281_MMX      = GAMEID_2281 | GAMEGFX_NONE | GAMESFX_MMX,
		GAMEID_2281_MS       = GAMEID_2281 | GAMEGFX_NONE | GAMESFX_MS,

		GAMEID_2281_3DFX     = GAMEID_2281 | GAMEGFX_3DFX | GAMESFX_NONE,
		GAMEID_2281_3DFX_MMX = GAMEID_2281 | GAMEGFX_3DFX | GAMESFX_MMX,
		GAMEID_2281_3DFX_MS  = GAMEID_2281 | GAMEGFX_3DFX | GAMESFX_MS,

		GAMEID_2281_ATI      = GAMEID_2281 | GAMEGFX_ATI | GAMESFX_NONE,
		GAMEID_2281_ATI_MMX  = GAMEID_2281 | GAMEGFX_ATI | GAMESFX_MMX,

		GAMEID_2281_D3D      = GAMEID_2281 | GAMEGFX_D3D | GAMESFX_NONE,
		GAMEID_2281_D3D_MMX  = GAMEID_2281 | GAMEGFX_D3D | GAMESFX_MMX,

		GAMEID_2281_D3D5     = GAMEID_2281 | GAMEGFX_D3D5 | GAMESFX_NONE,
		GAMEID_2281_D3D5_MMX = GAMEID_2281 | GAMEGFX_D3D5 | GAMESFX_MMX,

		GAMEID_2281_PVR      = GAMEID_2281 | GAMEGFX_PVR | GAMESFX_NONE,
		GAMEID_2281_PVR_MMX  = GAMEID_2281 | GAMEGFX_PVR | GAMESFX_MMX,

		GAMEID_2281_S3       = GAMEID_2281 | GAMEGFX_S3 | GAMESFX_NONE,
		GAMEID_2281_S3_MMX   = GAMEID_2281 | GAMEGFX_S3 | GAMESFX_MMX,

		GAMEID_2281_LAST = GAMEID_2281_S3_MMX
	};

	int getGameID(DWORD timeDateStamp);
	std::string getErrorMessage(int error);
}
